/* $Id: dflow.h,v 1.2 2002/07/24 10:10:20 aa5779 Exp $ */
/*
 	Copyright (C) 2001, 2002 Artem V. Andreev (artem@AA5779.spb.edu)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef DFLOW_H
#define DFLOW_H

#include "flow.h"

#ifndef DFLOW_IMP
extern flow_class dup_flow_class;
#endif

flow_handle_t df_open(char *name, char *opts, int writeable);
void df_close(flow_handle_t fh);
int df_getc(flow_handle_t fh);
int df_ungetc(flow_handle_t fh, int ch);
int df_putc(flow_handle_t fh, int ch);
int df_puts(flow_handle_t fh, char *str);
flow_pos_t df_getpos(flow_handle_t fh);
int df_setpos(flow_handle_t fh, flow_pos_t fp);
int df_rewind(flow_handle_t fh);
char *df_flowctl(flow_handle_t fh, char *ctl);

#endif
