/* $Id: pstream.h,v 1.2 2002/07/24 10:10:20 aa5779 Exp $ */
/*
 	Copyright (C) 2001, 2002 Artem V. Andreev (artem@AA5779.spb.edu)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PSTREAM_H
#define PSTREAM_H

#include "interp.h"
#include "util.h"

stream *ps_open(interpreter *i, char *name, char *sname, int writeable);
void ps_close(interpreter *i, stream *s);
html_chunk *ps_read(interpreter *i, stream *s);
void ps_writestr(interpreter *i, stream *s, char *str);
void ps_writetag(interpreter *i, stream *s, html_chunk *ch);
char *ps_ioctl(interpreter *i, stream *s, char *ctlstr);
int ps_getpos(interpreter *i, stream *s);
void ps_setpos(interpreter *i, stream *s, int pos);
void ps_rewind(interpreter *i, stream *s);

#ifndef PSTREAM_IMP
extern stream_class pipe_stream_class;
#endif

#endif

